/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaHorario;

/**
 *
 * @author Administrador
 */
public class PtovtaHorarioRender implements ListitemRenderer {

	public static final String SEG = Labels.getLabel("editarPuntoVentaController.seg");
	public static final String TER = Labels.getLabel("editarPuntoVentaController.ter");
	public static final String QUA = Labels.getLabel("editarPuntoVentaController.qua");
	public static final String QUI = Labels.getLabel("editarPuntoVentaController.qui");
	public static final String SEX = Labels.getLabel("editarPuntoVentaController.sex");
	public static final String SAB = Labels.getLabel("editarPuntoVentaController.sab");
	public static final String DOM = Labels.getLabel("editarPuntoVentaController.dom");

	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaHorario horario = (PtovtaHorario) o;

		SimpleDateFormat dt = new SimpleDateFormat("HH:mm:ss");
		Listcell lc = new Listcell(dt.format(horario.getInicio()));
		lc.setParent(lstm);

		lc = new Listcell(dt.format(horario.getFim()));
		lc.setParent(lstm);

		lc = new Listcell(getDias(horario));
		lc.setParent(lstm);

		lstm.setAttribute("data", horario);
	}

	private String getDias(PtovtaHorario horario) {
		String s = (horario.getIndlunes() != null && horario.getIndlunes() ? SEG + "," : "")
				+ (horario.getIndmartes() != null && horario.getIndmartes() ? TER + "," : "")
				+ (horario.getIndmiercoles() != null && horario.getIndmiercoles() ? QUA + "," : "")
				+ (horario.getIndjueves() != null && horario.getIndjueves() ? QUI + "," : "")
				+ (horario.getIndviernes() != null && horario.getIndviernes() ? SEX + "," : "")
				+ (horario.getIndsabado() != null && horario.getIndsabado() ? SAB + "," : "")
				+ (horario.getInddomingo() != null && horario.getInddomingo() ? DOM + "," : "");
		if (!s.isEmpty()) {
			return s.substring(0, s.length() - 1);
		}
		return s;
	}
}
